<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import IBIZBOOKUsr2MEditView9Base from './ibizbookusr2-medit-view9-base.vue';

import view_meditviewpanel from '@widgets/ibizbook/main-multieditviewpanel/main-multieditviewpanel.vue';
// 基于 @VIEW/实体多表单编辑视图（部件视图）/VIEW.vue.ftl 生成

@Component({
    components: {
        view_meditviewpanel, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class IBIZBOOKUsr2MEditView9 extends IBIZBOOKUsr2MEditView9Base {

}
</script>